import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_postSsotQuery_ResourceRequestConfig } from '../resources/postSsotQuery';
import { CdpQueryOutputRepresentation as types_CdpQueryOutputRepresentation_CdpQueryOutputRepresentation } from '../types/CdpQueryOutputRepresentation';
export declare const adapterName = "cdpQuery";
export declare const cdpQuery_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const cdpQuery_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface CdpQueryConfig {
    batchSize?: number;
    dataspace?: string;
    offset?: number;
    orderby?: string;
    sql: string;
    userAgent: string;
}
export declare const createResourceParams: (config: CdpQueryConfig) => resources_postSsotQuery_ResourceRequestConfig;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<CdpQueryConfig>): adapter$45$utils_Untrusted<CdpQueryConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): CdpQueryConfig | null;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: CdpQueryConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<import("@luvio/engine").FulfilledSnapshot<types_CdpQueryOutputRepresentation_CdpQueryOutputRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_CdpQueryOutputRepresentation_CdpQueryOutputRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_CdpQueryOutputRepresentation_CdpQueryOutputRepresentation, any>>;
export declare const cdpQueryAdapterFactory: $64$luvio_engine_AdapterFactory<CdpQueryConfig, types_CdpQueryOutputRepresentation_CdpQueryOutputRepresentation>;
